Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.logging
Class WebLogicLogNotification

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.management.Notification
                  |
                  +--weblogic.management.logging.WebLogicLogNotification

public final class WebLogicLogNotification
extends javax.management.Notification

This class is the type of Notifications which are generated by the LogBroadcasterRuntimeMBean in the server for log messages. JMX notification listeners registering to LogBroadcasterRuntimeMBean get a notification of this type when their handleNotification() methods are invoked. The getters on this class return the respective fields (as indicated by the name) of the log message on behalf of which this notification was created.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  `LogBroadcasterRuntimeMBean`, `NotificationListener`, `NotificationBroadcaster`, Serialized Form

Fields inherited from class javax.management.Notification
`source`

Fields inherited from class java.util.EventObject
`source`

Method Summary
`java.lang.String` | `getId()` Returns the full message id from the log entry.
`java.lang.String` | `getMachineName()` Gets the machineName attribute of the WebLogicLogNotification object
`int` | `getMessageId()` Server log message ids are of the form [prefix-]id, where the prefix for WLS messages is "BEA", eg BEA-123456.
`java.lang.String` | `getMessageIdString()` Returns the numeric id as a 6 digit string.
`java.lang.String` | `getServername()` Gets the servername attribute of the WebLogicLogNotification object
`int` | `getSeverity()` Gets the severity attribute of the WebLogicLogNotification object
`java.lang.String` | `getSubsystem()` Identifies the subsystem responsible for logging the message.
`java.lang.String` | `getThreadId()` Gets the threadId attribute of the WebLogicLogNotification object
`java.lang.Throwable` | `getThrowable()` Gets the throwable attribute of the WebLogicLogNotification object
`java.lang.String` | `getTransactionId()` Gets the transactionId attribute of the WebLogicLogNotification object
`java.lang.String` | `getType()` This returns the notification type, as defined by JMX.
`java.lang.String` | `getUserId()` Gets the userId attribute of the WebLogicLogNotification object
`int` | `getVersion()` Returns the version number for this WebLogicLogNotification.

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getVersion

    public final int getVersion()

  Returns the version number for this WebLogicLogNotification. This denotes the contents and format of the notification.

  Returns:
    The version value

### getType

    public java.lang.String getType()

  This returns the notification type, as defined by JMX. The value returned includes the subsystem responsible for logging the message and the message id. The id may contain a prefix, so should not be assumed to be numeric. To obtain the numeric version of the id use the `getMessageId()` method. The `getId()` method can be used to obtain the logged version of the id. To obtain the subsystem identifier, the `getSubsystem()` method is recommended.

  Returns:
    type Format = weblogic.logMessage.<subSystem>.<messageId>
  Overrides:
    getType in class javax.management.Notification

### getMachineName

    public java.lang.String getMachineName()

  Gets the machineName attribute of the WebLogicLogNotification object

  Returns:
    The machineName value

### getServername

    public java.lang.String getServername()

  Gets the servername attribute of the WebLogicLogNotification object

  Returns:
    The servername value

### getThreadId

    public java.lang.String getThreadId()

  Gets the threadId attribute of the WebLogicLogNotification object

  Returns:
    The threadId value

### getUserId

    public java.lang.String getUserId()

  Gets the userId attribute of the WebLogicLogNotification object

  Returns:
    The userId value

### getTransactionId

    public java.lang.String getTransactionId()

  Gets the transactionId attribute of the WebLogicLogNotification object

  Returns:
    The transactionId value

### getSeverity

    public int getSeverity()

  Gets the severity attribute of the WebLogicLogNotification object

  Returns:
    The severity value

### getThrowable

    public java.lang.Throwable getThrowable()

  Gets the throwable attribute of the WebLogicLogNotification object

  Returns:
    The throwable value

### getMessageId

    public int getMessageId()

  Server log message ids are of the form [prefix-]id, where the prefix for WLS messages is "BEA", eg BEA-123456. The actual id is a 6 digit string. This method returns a int representation of the id portion only. If the id contains non-numeric characters a -1 is returned.

  Returns:
    numeric message id. -1 is returned if the notification did not include a message id or was non-numeric.

### getId

    public java.lang.String getId()

  Returns the full message id from the log entry. This may include a prefix. eg BEA-123456. A null value is returned if a message id was not included in the notification.

  Returns:
    The id value

### getMessageIdString

    public java.lang.String getMessageIdString()

  Returns the numeric id as a 6 digit string. If prefixes are not being used this is the same as `getId()`. Otherwise, the returned value is the id with the prefix removed.

  Returns:
    The messageIdString value

### getSubsystem

    public java.lang.String getSubsystem()

  Identifies the subsystem responsible for logging the message.

  Returns:
    The subsystem value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD